/*
 *
 *	Chronos: temporal resynchronization of asynch actions.
 *
 *	Copyright 2000 Deekoo L., released under GPL v2.
 *
 */

#define _INCLUDE_CHRONOS_H

struct change_t {
  int action;
  int srcfleet;
  int srcship;
  int srcitem;
  int destfleet;
  int destship;
  int destitem;
};

struct history_chain {
  struct change_t	*c;
  int			numchanges;
};

#define null_history_chain (struct history_chain) {c: NULL, numchanges: 0}

#define	CHANGE_MOVESHIP	1
#define CHANGE_EQUIP	2
#define CHANGE_MOVEITEM	3

void add_history_entry(struct history_chain *h, int act, int srcf,
  int srcs, int srci, int destf, int dests, int desti);

void dispose_history_chain(struct history_chain *h);

void apply_history_to_fleet(struct fleet_t *f, struct history_chain *h);

