/* Makrokosmos (C) 2000 Deekoo L., released under GPL */

void age_fleet(struct fleet_t *f);
int open_fleet(const char *name, int flags);
int update_fleet(char *fleetname, struct sector_t *sect);
void dispose_item(struct item_t *i);
void dispose_ship(struct ship_t *s);
void read_fleet(int fd, struct fleet_t *fleet, struct sector_t *sect);
void write_fleet(int fd, struct fleet_t *fleet);
void close_fleet(int fd);
void dispose_fleet(struct fleet_t *f);
void equip_everything_in_fleet(char *fleetname);
void add_ship_to_fleet(struct fleet_t *fleet, char *name);
void add_item_to_ship(struct ship_t *s, char *itemname);
int load_fleet(char *fleetname, struct fleet_t *fleet);
int load_ship(char *shipfile, struct ship_t *s, struct fleet_t *fleet);
void move_cargo_to_fleet(struct fleet_t *f, struct item_t *i);
void extract_ship_recipe(struct ship_t *s, struct recipe_t *r);
void dispose_recipe(struct recipe_t *r);
int techlevel_ge(struct tech_t *t1, struct tech_t *t2);
int shipyard_can_build(struct item_t *shipyard, struct ship_t *ship, int *err);
int create_fleet(const char *name);
#ifdef _INCLUDE_CHRONOS_H
void apply_history_to_fleetpair(struct fleet_t *dest,
  struct fleet_t *src, struct history_chain *h);
#endif
void move_ship_to_fleet(struct fleet_t *src, int ship,
  struct fleet_t *dest);
int fleeteq(struct fleet_t *f1, struct fleet_t *f2);
void del_fleet_file(const char *fleetname);
int create_fleet_from_template(const char *fleetname,
  const char *template, struct fleet_t *f);
void populate_fleet_file(char *fleetname, struct populii_t *p);
int check_fleet_immobility(struct fleet_t *f);
const char *item_class_string(int iclass);
int move_item_to_ship(struct ship_t *srcship, int srcitem,
  struct ship_t *destship);
int open_fleet_quiet(const char *name, int flags);

extern int g_fleet_errno;

#define set_item_modified(f,s,i) \
	if (((struct fleet_t *)f)->ships[s].items[i].modified==0) { \
		(f)->ships[s].items[i].modified=1; \
	} \
	(f)->ships[s].modified=1;
