#define COLOR_TEXT_NUM          1
#define COLOR_TEXT      	COLOR_PAIR(1)
#define COLOR_HOTKEY_NUM        2
#define COLOR_HOTKEY    	COLOR_PAIR(2)|A_BOLD
#define COLOR_INPUT_NUM         3
#define COLOR_INPUT             COLOR_PAIR(3)
#define COLOR_PROMPT_NUM        4
#define COLOR_PROMPT            COLOR_PAIR(4)
#define COLOR_ERROR_NUM         5
#define COLOR_ERROR             COLOR_PAIR(5)
/*#define COLOR_CHART_BLANK		COLOR_PAIR(10)|A_BOLD */
#define COLOR_CHART_VISITED		COLOR_PAIR(6)
#define COLOR_CHART_FULLSCANNED		COLOR_PAIR(7)
#define COLOR_CHART_BODYSCANNED		COLOR_PAIR(8)|A_BOLD
#define COLOR_CHART_FLEETSCANNED	COLOR_PAIR(9)
#define COLOR_LIGHTBAR_UNSELECTED	COLOR_PAIR(3)|A_BOLD
#define COLOR_TEMP1_NUM			11
#define COLOR_TEMP2_NUM			12

#define	hotkey(a)	attrset(COLOR_HOTKEY); \
			addch(a);
#define text(a)		attrset(COLOR_TEXT); \
			printw(a);

#define PANE_FLEET	0
#define PANE_SHIP	1
#define PANE_ITEM	2

struct fleetpane_t {
  WINDOW                *win;
  int                   pos;
  int                   page;
  int			height;
  int			state;
  int			spage;
  int			spos;
  struct fleet_t        *fleet;
};

#define new_fleetpane(window, winheight, fleetptr)	\
	(struct fleetpane_t) { win: window, pos: 0, page: 0, \
	height: winheight, state: PANE_FLEET, spage: 0, spos: 0, \
	fleet: fleetptr }

void draw_fleet_pane(struct fleetpane_t *pane);
void draw_ship_bar_unselected(WINDOW *win,struct ship_t *s, int line);
void dispose_fleetpane(struct fleetpane_t *pane);
void draw_item_bar_unselected(struct fleetpane_t *pane);
void draw_item_bar_selected(struct fleetpane_t *pane);
void draw_ship_bar_selected(struct fleetpane_t *pane);
void fleetpane_down(struct fleetpane_t *pane);
void draw_equip_footer(struct fleetpane_t *pane);
void draw_bar_selected(struct fleetpane_t *pane);
void fleetpane_up(struct fleetpane_t *pane);
void show_help_sector(void);
void draw_ship_bar_target(WINDOW *win, struct ship_t *s, int line);
void draw_pane_bar_unselected(struct fleetpane_t *p);
void draw_pane_bar_selected(struct fleetpane_t *p);
void ui_pane_warning(struct fleetpane_t *pane, const char *s);

