/* Utility routines for makrokosmos */

struct gstrlist_t {
  int           num;
  GString       **strings;
};

#define null_gstrlist (struct gstrlist_t) {num: 0, strings: NULL}

void split(char *c, GString **cmd, GString **args);
int gstreq(const GString *s1, const GString *s2);
int randval_i(int max);
double randval_d(double max);
int lesser(int x, int y);
int greater(int x, int y);
double greater_d(double x, double y);
double lesser_d(double x, double y);
int probability(double d);

/* Should move out */
void shutdown_game(void);

/* In fleets.c, should be in fleets.h */
void itemlist_push(struct itemlist_t *l, int ship, int item);
void dispose_itemlist(struct itemlist_t *i);

/* in util.c */
void dispose_gstrlist(struct gstrlist_t *l);
int gstrlistindex_c(struct gstrlist_t *l, GString *s);
void gstrlist_add(struct gstrlist_t *l, char *s);
int gstrlistindex(const struct gstrlist_t *l, const GString *s);
int gstrlistindex_str_c(struct gstrlist_t *l, const char *s);

void g_string_assign_interpolated(GString *s, char *orig);

void log_public(char *s1, char *s2);
void log_private(char *s1, char *s2);

#ifdef _STDIO_H
void write_string_interpolated(FILE *f, char *s);
#endif

#define _INCLUDE_UTIL_H
