 /*
  *
  *	chronos.c
  *
  *	Copyright 2000 Deekoo L., released under GPL v2.
  *
  */

#include <glib.h>
#include "microcosm.h"
#include "chronos.h"
#include "util.h"
#include "ui_all.h"

void add_history_entry(struct history_chain *h, int act, int srcf,
  int srcs, int srci, int destf, int dests, int desti)
{
  h->numchanges++;
  h->c=g_realloc(h->c,sizeof(struct change_t)*h->numchanges);
  h->c[h->numchanges-1]=(struct change_t) {action: act,
    srcfleet: srcf, srcship: srcs, srcitem: srci,
    destfleet: destf, destship: dests, destitem: desti
    };
}

void dispose_history_chain(struct history_chain *h) {
  g_free(h->c);
}

void apply_history_to_fleet(struct fleet_t *f, struct history_chain *h)
{
  int	x=0;
  while (x<h->numchanges) {
    switch (h->c[x].action) {
    case CHANGE_EQUIP:
      f->ships[h->c[x].srcship].items[h->c[x].srcitem].equipped^=1;
      if ((f->ships[h->c[x].srcship].items[h->c[x].srcitem].equipped !=
        f->ships[h->c[x].srcship].items[h->c[x].srcitem].defaultequipped) &&
        (f->ships[h->c[x].srcship].items[h->c[x].srcitem].modified==0)) {
        f->ships[h->c[x].srcship].items[h->c[x].srcitem].modified=1;
        if (f->ships[h->c[x].srcship].modified==0) {
          f->ships[h->c[x].srcship].modified=1;
        }
      }
      break;
    default:
      ui_error("Unknown action in apply_history_to_fleet().");
    }
    x++;
  }
}
